## smokeenc smokeenc |

## Types and Values

struct | GstSmokeEnc

## Description

## Functions

## Types and Values

### struct GstSmokeEnc

    struct GstSmokeEnc {
      GstElement element;

      /* pads */
      GstPad *sinkpad,*srcpad;

      /* video state */
      gint format;
      gint width;
      gint height;
      gint frame;
      gint keyframe;
      gint fps_num, fps_denom;

      SmokeCodecInfo *info;

      gint threshold;
      gint min_quality;
      gint max_quality;

      gboolean need_header;
    };